Skip to main content
PUT
/
integrations
/
container-registry
/
organization
/
{organizationId}
/
credentials
/
{registryType}
/
{credentialId}
/
projects
Set projects linked to a container-registry credential
curl --request PUT \
  --url https://api-eu.cybedefend.com/integrations/container-registry/organization/{organizationId}/credentials/{registryType}/{credentialId}/projects \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectIds": [
    "097bbbf4-d1eb-4512-9950-684445279808"
  ]
}
'

Path Parameters

organizationId
string<uuid>
required
registryType
string
required

Registry type (gcr|acr|dockerhub|gitlab|quay|harbor|jfrog|scaleway|ecr)

credentialId
string<uuid>
required

Body

application/json
projectIds
string[]
required

Full set of linked project ids (replaces existing links)

Example:
["097bbbf4-d1eb-4512-9950-684445279808"]

Response

Linked projects updated successfully